package cn.ysk.cashier.service.shop;

import cn.ysk.cashier.dto.shop.ShopPrinterDTO;
import cn.ysk.cashier.pojo.shop.TbPrintMachineEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 店铺打印机配置Service
 * @author tankaikai
 * @since 2024-09-24 17:15
 */
public interface ShopPrinterService extends IService<TbPrintMachineEntity> {

    Map<String,Object> page(Map<String, Object> params);

    List<ShopPrinterDTO> list(Map<String, Object> params);

    ShopPrinterDTO get(Integer id);

    void save(ShopPrinterDTO dto);

    void update(ShopPrinterDTO dto);

    void delete(Integer id);

    void updateStatus(Integer id,Integer status);

}
